const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const stock_transfer_items = sequelize.define(
    'stock_transfer_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

quantity_requested: {
        type: DataTypes.DECIMAL,
      
      

      },

quantity_shipped: {
        type: DataTypes.DECIMAL,
      
      

      },

quantity_received: {
        type: DataTypes.DECIMAL,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  stock_transfer_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





























//end loop



    db.stock_transfer_items.belongsTo(db.stock_transfers, {
      as: 'stock_transfer',
      foreignKey: {
        name: 'stock_transferId',
      },
      constraints: false,
    });

    db.stock_transfer_items.belongsTo(db.products, {
      as: 'product',
      foreignKey: {
        name: 'productId',
      },
      constraints: false,
    });

    db.stock_transfer_items.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.stock_transfer_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.stock_transfer_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return stock_transfer_items;
};


